# `main`

The main module is accessible via the `sqlobject` module.

SQLObject is a object-relational mapper. See SQLObject.html or SQLObject.txt for more.

With the help by Oleg Broytman and many other contributors. See Authors.txt.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

## Attributes

#### a `__package__`

    'sqlobject'

#### a `sqlhub`

    <sqlobject.dbconnection.ConnectionHub object at 0xa6e0eec>

## Functions

#### f `getID(obj, refColumn=None)` ...

#### f `getObject(obj, klass)` ...

## Classes

#### C `SQLObjectNotFound(...)` ...

This class contains 10 members.

#### C `SQLObjectIntegrityError(...)` ...

This class contains 10 members.

#### C `NoDefault(...)` ...

#### C `sqlmeta(...)` ...

This object is the object we use to keep track of all sorts of information. Subclasses are made for each SQLObject subclass (dynamically if necessary), and instances are created to go alongside every SQLObject instance.

This class contains 38 members.

#### C `SQLObject(...)` ...

This class contains 41 members.

See the source for more information.